@REM
@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM Product #5724-C94, 5724-E69, 5724-L72, (C) COPYRIGHT International Business Machines Corp., 2002-2005.
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@REM Configuration Based Update Installer

@if defined echo (echo %echo% ) else echo off
setlocal

set CURRENT_DIR=%~dp0

@REM set DEBUG_UPDATE=yes to turn on debugging statements
set DEBUG_UPDATE=no

set LaunchTitle=%0
Echo Start of [ %LaunchTitle% ] launch script.
Echo Build 20061017_1508
Echo.

:Wizard
Echo Verifying wizard ProductUpdateInstaller.jar:
Echo   [ ProductUpdateInstaller.jar ]
Echo.
IF NOT EXIST "%CURRENT_DIR%ProductUpdateInstaller.jar" GoTo FailWizard
GoTo ParseArgs

:FailWizard
Echo The wizard jar file does not exist.  Exiting.
Echo.
GoTo End

:ParseArgs
set PREREQ_DISABLE_INST=
set PREREQ_DISABLE_UNINST=
set FOR_EFIX=
GoTo ValidateArgs

@REM process any arguments
:ValidateArgs
IF "%1"=="-dpInstall" GoTo SetPrereqInstall
IF "%1"=="-dpUninstall" GoTo SetPrereqUninstall
IF "%1"=="-efixOnly" GoTo SetEFixOnly
IF "%1"=="-configProperties" GoTo SetConfigProps

IF "%1"=="" GoTo CheckWASHome

IF NOT "%1"=="-usage" Echo Usage error: [ "%1" is an unrecognized argument ]

Echo.
Echo Usage: updateWizard ([ -efixOnly ] [ -dpInstall ] [ -dpUninstall ] [-configProperties propFile] [ -usage ])
Echo.
Echo   efixOnly         - Run the installer in EFix Processing mode only. 
Echo   dpInstall        - Disable install prerequisite error locking.	
Echo   dpUninstall      - Disable uninstall prerequisite error locking.
Echo   configProperties - Additional configuration properties.
Echo   usage            - Display syntax help. 
Echo.
GoTo End

:SetEFixOnly
set FOR_EFIX=-W UpdateActionSelect.disablePTFOptions=yes
@REM go see if there are any more args
shift
GoTo ValidateArgs

:SetPrereqInstall
set PREREQ_DISABLE_INST=-W EfixInstallPrereqErrorAction.prereqOverride="yes"
@REM go see if there are any more args
shift
GoTo ValidateArgs  

:SetPrereqUninstall
set PREREQ_DISABLE_UNINST=-W EfixUninstallPrereqError.prereqOverride="yes"
@REM go see if there are any more args
shift
GoTo ValidateArgs

:SetConfigProps
set WP_PUI_CONFIG=%2
@REM go see if there are any more args - Skipping 2 args
shift
shift
GoTo ValidateArgs


:CheckWASHome
::PUI @PJB WAS not required
::IF NOT "%WAS_HOME%" == "" GoTo CheckWasSetup
::Echo The WAS_HOME env variable MUST be set.  Exiting.
::Echo.
::GoTo End

:CheckWasSetup
::IF "%DEBUG_UPDATE%" == "yes" Echo Attempting to locate setupCmdLine.bat.
::IF "%DEBUG_UPDATE%" == "yes" Echo.
::IF EXIST "%WAS_HOME%\bin\setupCmdLine.bat" GoTo RunWasSetup
::Echo The WAS_HOME env variable MUST be set.  Exiting.
::Echo Unable to locate WAS setupCmdLine.bat in %WAS_HOME%.  Exiting.
::Echo.
::GoTo End



:RunWasSetup
::call "%WAS_HOME%\bin\setupCmdLine.bat"
::GoTo TestJDK

:TestJDK
IF NOT EXIST "%JAVA_HOME%\bin" GoTo FailJavaHome
IF NOT EXIST "%JAVA_HOME%\bin\java.exe" GoTo FailJavaHome
goto LaunchInstaller

:FailJavaHome
Echo The JDK was not found within the set JAVA_HOME:
Echo   JAVA_HOME: [ %JAVA_HOME%\bin\java.exe ]
Echo.
Echo Exiting.
Echo.
goto End

:LaunchInstaller

REM set DBG_PROP=-Dcom.ibm.websphere.update.ptf.debug=true -Dis.debug=1
Echo Launching the update installer wizard.
Echo.
set WindowsLAF=com.sun.java.swing.plaf.windows.WindowsLookAndFeel
set PATH="%JAVA_HOME%"\bin;%PATH%
echo %JAVA_HOME%

if defined DBG_PROP (
    set JAVA_EXE=java.exe
) else (
    set JAVA_EXE=javaw.exe
)

@echo on
start /B %JAVA_EXE% -Dswing.defaultlaf=%WindowsLAF% -Xmx256m %DBG_PROP% "-Dcom.ibm.wp.pui.systemroot=%SystemRoot%" "-Dcom.ibm.wps.pui.configprops=%WP_PUI_CONFIG%" -Dcom.ibm.wp.pui.bld.level=20061017_1508 -cp "%CURRENT_DIR%ProductUpdateInstaller.jar;%CURRENT_DIR%lib\extfile.jar" run %FOR_EFIX% %PREREQ_DISABLE_INST% %PREREQ_DISABLE_UNINST%
@echo off
GoTo End

:End
Echo.
Echo End of [ %LaunchTitle% ]
Echo.
endlocal

